Alembic Version 1.1

Namespaces | Functions | Variables
ArchiveInfo.h File Reference
`#include <Alembic/Util/Export.h>`
`#include <Alembic/Abc/Foundation.h>`
`#include <Alembic/Abc/IArchive.h>`
`#include <Alembic/Abc/OArchive.h>`
`#include <time.h>`
Include dependency graph for ArchiveInfo.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Alembic
| Alembic namespace ...
namespace | Alembic::Abc
namespace | Alembic::Abc::ALEMBIC_VERSION_NS

## Functions
template<class ARCHIVE_CTOR >
OArchive | Alembic::Abc::ALEMBIC_VERSION_NS::CreateArchiveWithInfo (ARCHIVE_CTOR iCtor, const std::string &iFileName, const std::string &iApplicationWriter, const std::string &iUserDescription, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
template<class ARCHIVE_CTOR >
OArchive | Alembic::Abc::ALEMBIC_VERSION_NS::CreateArchiveWithInfo (ARCHIVE_CTOR iCtor, const std::string &iFileName, double iDCCFPS, const std::string &iApplicationWriter, const std::string &iUserDescription, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
ALEMBIC_EXPORT void | Alembic::Abc::ALEMBIC_VERSION_NS::GetArchiveInfo (IArchive &iArchive, std::string &oApplicationWriter, std::string &oAlembicVersion, Util::uint32_t &oAlembicApiVersion, std::string &oDateWritten, std::string &oUserDescription)
ALEMBIC_EXPORT void | Alembic::Abc::ALEMBIC_VERSION_NS::GetArchiveInfo (IArchive &iArchive, std::string &oApplicationWriter, std::string &oAlembicVersion, Util::uint32_t &oAlembicApiVersion, std::string &oDateWritten, std::string &oUserDescription, double &oDCCFPS)
ALEMBIC_EXPORT void | Alembic::Abc::ALEMBIC_VERSION_NS::GetArchiveStartAndEndTime (IArchive &iArchive, double &oStartTime, double &oEndTime)

## Variables
static ALEMBIC_EXPORT_CONST char * | Alembic::Abc::ALEMBIC_VERSION_NS::kApplicationNameKey = "_ai_Application"
static ALEMBIC_EXPORT_CONST char * | Alembic::Abc::ALEMBIC_VERSION_NS::kDateWrittenKey = "_ai_DateWritten"
static ALEMBIC_EXPORT_CONST char * | Alembic::Abc::ALEMBIC_VERSION_NS::kUserDescriptionKey = "_ai_Description"
static ALEMBIC_EXPORT_CONST char * | Alembic::Abc::ALEMBIC_VERSION_NS::kDCCFPSKey = "_ai_DCC_FPS"